@font-face {
  font-family: 'AllRoundGothic';
  src: url('/frontend/fonts/All_Round_Gothic_Book.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'AllRoundGothic';
  src: url('/frontend/fonts/All_Round_Gothic_Bold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'AllRoundGothic';
  src: url('/frontend/fonts/All_Round_Gothic_Demi.otf') format('opentype');
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: 'AllRoundGothic';
  src: url('/frontend/fonts/All_Round_Gothic_Medium.otf') format('opentype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'AllRoundGothic';
  src: url('/frontend/fonts/All_Round_Gothic_XLig.otf') format('opentype');
  font-weight: 300;
  font-style: normal;
}

/* --- ตัวเอียง (Oblique/Italic Style) --- */

@font-face {
  font-family: 'AllRoundGothic';
  src: url('/frontend/fonts/All_Round_Gothic_Book_Oblique.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
}

body {
  font-family: 'AllRoundGothic', sans-serif;
  font-size: 15px;
  font-weight: 500;
}

h1, .h1 {font-size: 60px; font-weight: 600;}
h2, .h2 {font-size: 32px; font-weight: 600;}
h3, .h3 {font-size: 24px; font-weight: 400;}
h4, .h4 {font-size: 22px; font-weight: 500;}
h5, .h5 {font-size: 17px; font-weight: 500;}
h6, .h6 {font-size: 16px; font-weight: 500;}

.text-white p { font-weight: 400; }

.custom-navbar .nav-link {
  font-size: 17px;
  font-weight: 600;
}

.lang-item { font-size: 14px; }

.btn-main { font-size: 22px; }

.btn-main.white { font-size: 15px; }

.footer { font-size: 14px }
.footer .menu.about li { font-size: 16px; }

.hero h5 { font-weight: 600; line-height: 1.2; }

.form-control { font-size: 15px; }
.form-check-label { font-size: 14px; }

.btn-filter { font-size: 15px; }
.dropdown-menu-custom .dropdown-item { font-size: 13px; }

.accordion-button { font-size: 18px; }

.search #search-input { font-size: 15px; }

@media (max-width: 991px) {
  h1, .h1 {font-size: 40px;}
  h2, .h2 {font-size: 28px;}
  h3, .h3 {font-size: 18px;}
  h4, .h4 {font-size: 17px;}
  h5, .h5 {font-size: 15px;}
  h6, .h6 {font-size: 14px;}
  .btn-main { font-size: 18px; }
  .custom-navbar .nav-link { font-size: 18px; }
  .custom-navbar .dropdown-item { font-size: 16px; }
}

@media (max-width: 480px) {
  h1, .h1 {font-size: 34px;}
  h2, .h2 {font-size: 26px;}
}
